> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gputrader.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete custom template

> Delete an existing custom template



## OpenAPI

````yaml https://console.gputrader.io/assets/gputrader-api.json delete /templates/custom/{templateId}
openapi: 3.1.1
info:
  title: GPU Trader API
  version: 0.4.16
  description: This is the Swagger/OpenAPI-compatible GPUTrader API documentation
servers:
  - url: https://api.gputrader.io/v1
security: []
tags: []
paths:
  /templates/custom/{templateId}:
    delete:
      tags:
        - Templates
      summary: Delete custom template
      description: Delete an existing custom template
      parameters:
        - in: path
          name: templateId
          required: true
          schema:
            type: string
            format: uuid
          description: Template ID
      responses:
        '200':
          description: Template successfully deleted
          content:
            application/json:
              schema:
                type: string
        '404':
          description: Template not found
        '500':
          description: Internal server error
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````